var g = Object.defineProperty;
var r = (t, e) => g(t, "name", { value: e, configurable: !0 });
function l({ env: t, path: e, pos: u }) {
  const n = u;
  if (n === null)
    return null;
  const i = t.languageService.getQuickInfoAtPosition(e, n);
  if (!i)
    return null;
  const o = i.textSpan.start, c = t.languageService.getTypeDefinitionAtPosition(e, n) ?? t.languageService.getDefinitionAtPosition(e, n);
  return {
    start: o,
    end: o + i.textSpan.length,
    typeDef: c,
    quickInfo: i
  };
}
r(l, "getHover");
export {
  l as getHover
};
